;A simple program demonstrate basic simulator usage.
;The program (an infinite loop) adds 2 numbers
;and saves the result.
;Each time the loop is exectuted the numbers are modified.
;The only instructions used are:
;   adda,  clra, inca, jmp, ldaa and staa.
;Only Inherent and Extended addressing modes are used.
; THE PROGRAM
; By convention, this segment begins at 0x6000.
              org $6000   ;ROMable segment
main:
              clra
              staa firstNumber
              inca
              staa secondNumber
forever:
              ldaa secondNumber
              staa oldSecondNumber
              ldaa firstNumber
              adda secondNumber
              staa secondNumber
              ldaa oldSecondNumber
              staa firstNumber
              jmp forever

; Modifiable data --  starts (by convention) at 0x7000
                org $7000
firstNumber     rmb 1  
secondNumber    rmb 1
oldSecondNumber rmb 1

              end
